Main Page Groups Namespaces

# select.h File Reference

## Namespaces
namespace | sigc
namespace | sigc::internal
## Classes
struct | sigc::internal::lambda_select1
struct | sigc::internal::lambda_select1::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::internal::lambda_select2
struct | sigc::internal::lambda_select2::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::internal::lambda_select3
struct | sigc::internal::lambda_select3::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::internal::lambda_select4
struct | sigc::internal::lambda_select4::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::internal::lambda_select5
struct | sigc::internal::lambda_select5::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::internal::lambda_select6
struct | sigc::internal::lambda_select6::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::internal::lambda_select7
struct | sigc::internal::lambda_select7::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
## Variables
SIGC_API const lambda <internal::lambda_select1> | sigc::_1
SIGC_API const lambda <internal::lambda_select2> | sigc::_2
SIGC_API const lambda <internal::lambda_select3> | sigc::_3
SIGC_API const lambda <internal::lambda_select4> | sigc::_4
SIGC_API const lambda <internal::lambda_select5> | sigc::_5
SIGC_API const lambda <internal::lambda_select6> | sigc::_6
SIGC_API const lambda <internal::lambda_select7> | sigc::_7